Summary   	: A suite of "tiny" Unix utilities in a multi-call binary.
Name	  	: busybox
Version	  	: 0.60.3
Release	  	: 6.0.0.%{_hhl_build_id}
Source	  	: http://www.busybox.net/downloads/busybox-%{version}.tar.gz 
Source1		: busybox-inittab
Source2		: busybox-tmpl-gen
Source4		: bb-ash-0.3.8-32-diffs.tar.gz
Source5		: busybox-config.h
Patch1		: busybox-0.60.3-catchsigusrx.patch
Patch2		: busybox-ash-noreent.patch
Patch3		: busybox-insmod.patch
Patch4		: busybox-ash-lngjmp.patch
Patch5		: mvl-busybox-xtensa.patch
Patch6		: busybox-glob.diff
License 	: GPL 
Group	  	: base
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir  %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
#BuildRequires	:
#Requires	:
#Provides 	:
#Obsoletes	:

#
#	SRPM
#
Obsoletes : hhl-target-busybox
Obsoletes : hhl-%{_hhl_target_arch}-busybox

%description

BusyBox is a suite of "tiny" Unix utilities in a multi-call binary. It
provides a pretty complete POSIX environment in a very small package.
Just add a kernel, "ash" (Keith Almquists tiny Bourne shell clone), and
an editor such as "elvis-tiny" or "ae", and you have a working system.
Busybox makes an excellent environment for any small or embedded system.


#
#	RPM
#


%prep

%target_check

%setup -n busybox-%{version} -q -a 4
%patch1 -p1
%patch2 -p1
%patch3 -p1
# The following patches are all MontaVista created in order to bring 
# Busybox's ash up to debian 0.3.8-32 standards
cat diffs/addfname-diff | patch -p0
cat diffs/argstr-diff | patch -p0
cat diffs/breakcmd-diff | patch -p0
cat diffs/errname-diff | patch -p0
cat diffs/evalcmds-diff | patch -p0
cat diffs/evalcommand-diff | patch -p0
cat diffs/evalsubshell-diff | patch -p0
cat diffs/evaltree-diff | patch -p0
cat diffs/evalvar-diff | patch -p0
cat diffs/expari-diff | patch -p0
cat diffs/expbackq-diff | patch -p0
cat diffs/exptidle-diff | patch -p0
cat diffs/fgcmd-diff | patch -p0
cat diffs/forkshell-diff | patch -p0
cat diffs/hashcmd-diff | patch -p0
cat diffs/initvar-diff | patch -p0
cat diffs/inton-diff | patch -p0
cat diffs/isnumber-diff | patch -p0
cat diffs/jobidcmd-diff | patch -p0
cat diffs/letcmd-diff | patch -p0
cat diffs/onint-diff | patch -p0
cat diffs/patmatch-diff | patch -p0
cat diffs/reset-diff | patch -p0
cat diffs/token-diff | patch -p0
cat diffs/tryexec-diff | patch -p0
cat diffs/varvalue-diff | patch -p0
cat diffs/expandmeta-diff | patch -p0
cat diffs/cleanup-diff | patch -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1

cp %{SOURCE5} Config.h

cp %{SOURCE1} inittab-sample


%build
PATH=%{_hhl_cross_bin_dir}:$PATH

%target_setup

make CROSS=%{_hhl_target_toolprefix} CC="%{_hhl_target_toolprefix}gcc -DCATCH_SIGUSRX" STRIP=true STRIPTOOL=true DODEBUG=true


%install
%target_setup
PATH=%{_hhl_cross_bin_dir}:$PATH
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_hhl_cross_target_dir}/bin
make PREFIX=%{buildroot}%{_hhl_cross_target_dir} install

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
( cd %{buildroot}%{_hhl_cross_target_dir} ;
  bash %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/busybox.tmpl )
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/busybox.tmpl > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/busybox
rm -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/busybox.tmpl

%clean
rm -rf %{buildroot}


%files -n busybox
%defattr(-,root,root)
%{_hhl_cross_target_dir}/bin/busybox
%doc LICENSE inittab-sample
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/busybox


%changelog
* Tue Jun 04 2002 Joe Green <source@mvista.com>
- Added support for Xtensa architecture.
* Tue Dec 11 2001 Mark Hatle <source@mvista.com>
- Removed all of the link packages
- The TMPL is now created dynamically.
- The customer is expected to use TCT, or manually create the symbolic 
- links.
* Thu Apr 19 2001 Steve Kinneberg <source@mvista.com>
- Added TCT package description files
* Thu Mar 15 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file


